curl --request POST \
--url https://api.comfy.org/publishers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"logo": "<string>",
"members": [
{
"id": "<string>",
"role": "<string>",
"user": {
"email": "<string>",
"id": "<string>",
"name": "<string>"
}
}
],
"name": "<string>",
"source_code_repo": "<string>",
"support": "<string>",
"website": "<string>"
}
'import requests
url = "https://api.comfy.org/publishers"
payload = {
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"logo": "<string>",
"members": [
{
"id": "<string>",
"role": "<string>",
"user": {
"email": "<string>",
"id": "<string>",
"name": "<string>"
}
}
],
"name": "<string>",
"source_code_repo": "<string>",
"support": "<string>",
"website": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
createdAt: '2023-11-07T05:31:56Z',
description: '<string>',
id: '<string>',
logo: '<string>',
members: [
{
id: '<string>',
role: '<string>',
user: {email: '<string>', id: '<string>', name: '<string>'}
}
],
name: '<string>',
source_code_repo: '<string>',
support: '<string>',
website: '<string>'
})
};
fetch('https://api.comfy.org/publishers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"logo": "<string>",
"members": [
{
"id": "<string>",
"role": "<string>",
"user": {
"email": "<string>",
"id": "<string>",
"name": "<string>"
}
}
],
"name": "<string>",
"source_code_repo": "<string>",
"status": "PublisherStatusActive",
"support": "<string>",
"website": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Create a new publisher
Authorizations
Bearer token authentication. Normally a Firebase or Cloud JWT. A 'comfyui-' prefixed API key is ALSO accepted in this header: the prefix classifies the value as an API key and it is validated exactly as if it had been sent in X-API-Key. Accepted on the operations served by the comfyFirebase auth middleware (BE-9720, parity with ingest).
Body
The date and time the publisher was created.
The unique identifier for the publisher. It's akin to a username. Should be lowercase.
URL to the publisher's logo.
A list of members in the publisher.
Show child attributes
Show child attributes
PublisherStatusActive, PublisherStatusBanned Response
Publisher created successfully
The date and time the publisher was created.
The unique identifier for the publisher. It's akin to a username. Should be lowercase.
URL to the publisher's logo.
A list of members in the publisher.
Show child attributes
Show child attributes
PublisherStatusActive, PublisherStatusBanned Was this page helpful?